
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.io.File;
import java.util.Vector;

public class Principal extends JPanel {      

    int width = 700, height = 500;
    JPanel p = new JPanel(new BorderLayout());
    public Principal(String audioDirectory) {

        setLayout(new BorderLayout());

        JMenuBar menuprincipal = new JMenuBar();
        menuprincipal.setBackground(new Color(51,204,204));
       
            JMenu fileMenu = (JMenu) menuprincipal.add(new JMenu("Archivo"));
            fileMenu.setBackground(new Color(51,204,204));
            JMenuItem item1 = (JMenuItem) fileMenu.add(new JMenuItem("Salir"));
            item1.setBackground(new Color(51,204,204));
            item1.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent e) { System.exit(0); }
            });

        JMenu options = (JMenu) menuprincipal.add(new JMenu("Ayuda"));
        options.setBackground(new Color(51,204,204));
        JMenuItem item2 = (JMenuItem) options.add(new JMenuItem("Acerca del Organizador de CDs"));
        item2.setBackground(new Color(51,204,204));
        item2.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) { MuestraDialogInfo(); }
        });
        add(menuprincipal, BorderLayout.NORTH);
        final Tabla_Botones juke = new Tabla_Botones(audioDirectory);
        p.add(juke);
        add(p, BorderLayout.CENTER);
    }

    public Dimension getPreferredSize() {
        return new Dimension(width, height);
    }

    public static void MuestraDialogInfo() {
        final String msg = 
            "Proyecto Personal para el ramo:\n" +
            "Diseo y Programacin Orientada a Objetos         \n" +
            "                        ELO-329\n\n"+
            "             Desarrollado por: \n" +
            "             Alvaro Daniel Bravo Mercado\n\n" +
            "                     aota@elo.utfsm.cl";
                JOptionPane.showMessageDialog(null, msg, "Acerca de", JOptionPane.INFORMATION_MESSAGE);
    }
  

    public static void main(String[] args) {

        String sep = String.valueOf(System.getProperty("file.separator").toCharArray()[0]);
        String text = null;
        try {
               text = System.getProperty("user.dir") + sep;
            } catch (SecurityException ex) {
            System.out.println(ex.toString());
            return;
            }
        final Principal Aplicacion = new Principal(text);	//text contiene el directorio actual
        JFrame f = new JFrame("Proyecto Personal ELO-329  --  Organizador de CDS.");

        f.addWindowListener(new WindowAdapter() 
	{   public void windowClosing(WindowEvent e) {System.exit(0);}   });
        f.getContentPane().add("Center", Aplicacion);   
        f.pack();
        Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
        f.setLocation(d.width/2 - Aplicacion.width/2, d.height/2 - Aplicacion.height/2);
        f.setSize(new Dimension(Aplicacion.width, Aplicacion.height));
        f.setVisible(true);
    }
}
