
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;
import javax.swing.text.*;
import javax.swing.JTextField;
import javax.swing.undo.*;
import javax.swing.*;

class Prestar extends JFrame {

   JLabel NombreCD;
   JTextArea DescripcionCD;
   JPanel PanelTexto;
   JPanel PanelTitulo1;
   JPanel PanelTitulo2;
   JPanel PanelNombreCd;
   JPanel PanelBotones;
   JButton BAceptar;
   JButton BCancelar;

   String Nombre,Accion,Titulo;
   Properties Eventos = new Properties();
   FileOutputStream out;
   FileInputStream in;
   Tabla_Botones.Contenido_Frame Origen;

   Prestar( String accion , String nombre){

        super(accion+" CD ");
        Accion=accion;
        Titulo=accion+":";
        Nombre=nombre;

//se carga la property
        try{
           in = new FileInputStream (nombre);
           Eventos.load(in);
        } catch (FileNotFoundException e) {
           System.err.println("\nOUTPUT FILE STREAM:\n" + e);
        } catch (IOException e) {
            System.err.println("\nOUTPUT FILE STREAM:\n" + e);
        }
	addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {   }
        });
	getContentPane().setLayout(null);
        getContentPane().setBackground(new Color(51,204,204));

        PanelTitulo1 = new JPanel();
        PanelTitulo1.setBackground(new Color(51,204,204));
        JLabel Titulo1 = new JLabel();
        Titulo1.setText("Nombre del CD:  ");
        Titulo1.setHorizontalTextPosition(SwingConstants.CENTER);
        Titulo1.setFont(new  Font("Papyrus", 0, 15));
        Titulo1.setForeground(Color.black);
        PanelTitulo1.add(Titulo1, BorderLayout.CENTER);
        getContentPane().add(PanelTitulo1);
        PanelTitulo1.setBounds(50,0,200,30);

        PanelTitulo2 = new JPanel();
        PanelTitulo2.setBackground(new Color(51,204,204));
        JLabel Titulo2 = new JLabel();
        Titulo2.setText(Titulo);
        Titulo2.setHorizontalTextPosition(SwingConstants.CENTER);
        Titulo2.setFont(new  Font("Papyrus", 0, 15));
        Titulo2.setForeground(Color.black);
        PanelTitulo2.add(Titulo2, BorderLayout.CENTER);
        getContentPane().add(PanelTitulo2);
        PanelTitulo2.setBounds(50,80,200,30);

        String Estado = new String("");
        PanelNombreCd = new JPanel();
        PanelNombreCd.setBackground(new Color(51,204,204));
        if(Eventos.getProperty("Prestar").equals("")) Estado = "";
        else Estado = "PRESTADO";
        NombreCD = new JLabel(Eventos.getProperty("nombre")+"   "+Estado); 
	NombreCD.setFont(new Font("Papyrus", Font.PLAIN, 20));
        NombreCD.setForeground(Color.red);
	PanelNombreCd.add(NombreCD);
        getContentPane().add(PanelNombreCd);
        PanelNombreCd.setBounds(7,33,285,31);
        pack();

        PanelTexto = new JPanel();
        PanelTexto.setBackground(new Color(51,204,204));
        DescripcionCD = new JTextArea();
	DescripcionCD.setFont(new Font("Papyrus", Font.PLAIN, 12));
        DescripcionCD.setBorder(BorderFactory.createEtchedBorder());

        DescripcionCD.setText(Eventos.getProperty(Accion));

        JScrollPane scroller = new JScrollPane(DescripcionCD);
        scroller.setPreferredSize(new Dimension(370,100));
	PanelTexto.add(scroller);
        getContentPane().add(PanelTexto);
        PanelTexto.setBounds(7,110,378,110);//es como el marco del panel
        
        PanelBotones = new JPanel();
        PanelBotones.setLayout(new BorderLayout());
        PanelBotones.setBackground(new Color(51,204,204));

        JButton BCancelar;
        BCancelar = new  JButton();
        BCancelar.setText("Cancelar");
        BCancelar.setBackground(Color.orange);
        BCancelar.setForeground(Color.black);

        BCancelar.addMouseListener(new  MouseAdapter() {
            public void mouseReleased( MouseEvent evt2) {
                BCancelarMouseReleased(evt2);
            }
        });

        PanelBotones.add(BCancelar, BorderLayout.WEST);
        BAceptar = new  JButton();
        BAceptar.setText("Aceptar ");
        BAceptar.setBackground(Color.orange);
        BAceptar.setForeground(Color.black);

        BAceptar.addMouseListener(new  MouseAdapter() {
            public void mouseReleased( MouseEvent evt1) {
                BAceptarMouseReleased(evt1);
            }
        });

        PanelBotones.add(BAceptar, BorderLayout.EAST);

        getContentPane().add(PanelBotones);
        PanelBotones.setBounds(46,250,300,30);

        pack();
        Dimension screenSize =  Toolkit.getDefaultToolkit().getScreenSize();
        setSize(400, 320);
        setLocation((screenSize.width-400)/2,(screenSize.height-320)/2);
	setResizable(false);
   }

   private void BAceptarMouseReleased(MouseEvent evt1) {
        Eventos.put(Accion, DescripcionCD.getText());
        try{
           out = new FileOutputStream (Nombre);
           Eventos.store(out, "Eventos");
           out.close();
        } catch (FileNotFoundException e) {
           System.err.println("\nOUTPUT FILE STREAM:\n" + e);
        } catch (IOException e) {
            System.err.println("\nOUTPUT FILE STREAM:\n" + e);
        }
        this.dispose();
    }

   private void BCancelarMouseReleased(MouseEvent evt2) {
        this.dispose();

    }

}//END CLASS Prestar
